Bug 166147 - nfs client fails when selinux is enabled for 2.6.12.1411,1420
Summary: nfs client fails when selinux is enabled for 2.6.12.1411,1420
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 4
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-08-17 13:40 UTC by Karl DeBisschop
Modified: 2015-01-04 22:21 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-05 08:15:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Karl DeBisschop 2005-08-17 13:40:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.7.10) Gecko/20050716 Firefox/1.0.6

Description of problem:
when running SElinux targetted mode, I get the following error trying to mount my home directory via NFS (the directory is normally automounted via autofs, using NIS-provided maps, but the same error occurs when manually mounting):

kernel: RPC: error 5 connecting to server needli07.infoplease.com

(needli07 is RHEL 3 with all the latest patches and updates)

When I boot the client into into kernel-2.6.12-1.1398 the nfs mount works fine. Also, when I enter SELINUX=disabled into /etc/sysconfig/selinux and reboot, the newer kernels work fine.


Version-Release number of selected component (if applicable):
kernel-2.6.12-1.1411, kernel-2.6.12-1.1420

How reproducible:
Always

Steps to Reproduce:
1.boot machine into newer kernel with selinux enabled
2.try to mount anything via nfs
3.
  

Actual Results:  mount fails

Expected Results:  mount should succeed

Additional info:

Comment 2 Daniel Walsh 2005-09-01 18:29:24 UTC
Are you seeing avc messages?

What is the state of NFS booleans

getsebool -a | grep nfs
nfs_export_all_ro --> active
nfs_export_all_rw --> active
nfsd_disable_trans --> inactive
use_nfs_home_dirs --> inactive


Comment 3 Dave Jones 2005-09-30 07:00:17 UTC
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.


Comment 4 Karl DeBisschop 2005-10-21 14:11:42 UTC
Fixed (testing with 2.6.13-1.1524_FC4)

Thanks.




Note You need to log in before you can comment on or make changes to this bug.